<div>
    <jhi-alert></jhi-alert>
    <div class="input-group w-100 mt-3">
        <div class="ui-g-3">
        </div>
    </div>
    <br/>
    <p-dataTable [value]="detailKlaims" [editable]="true" [rows]="itemsPerPage" [paginator]="true" [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems" [responsive]="true" [lazy]="true"
        row="itemsPerPage" totalRecords="totalItems" dataKey="id_detail" expandableRows="false"
        (onLazyLoad)="loadDataLazy($event)" sortMode="multiple">
        <p-header>
        </p-header>        
        <!-- <p-column selectionMode="multiple" [style]="{'width':'38px'}" ></p-column> -->
        <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="No Transaksi">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.notrans}}
            </ng-template>
        </p-column>
        <p-column header="bulan_program">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.bulan_program}}
            </ng-template>
        </p-column>
        <p-column header="No Klaim">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.no_klaim}}
            </ng-template>
        </p-column>
        <p-column header="Customer">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.cust_name}}
            </ng-template>
        </p-column>
        <p-column header="Keterangan">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.keterangan}}
            </ng-template>
        </p-column>
        <p-column header="Value">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.nilai_value}}
            </ng-template>
        </p-column>
        <p-column header="Item Code">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.item_code}}
            </ng-template>
        </p-column>
        <p-column header="QTY">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.qtyitem}}
            </ng-template>
        </p-column>
        <p-column header="satuan">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.satuan}}
            </ng-template>
        </p-column>
    </p-dataTable>
</div>
